export default class BorumRequest extends Request {
    private commonHeaders;
    private init;
    constructor(input: RequestInfo, init?: RequestInit);
    static initialize(input: RequestInfo, init?: RequestInit): BorumRequest;
    authorize(): BorumRequest;
    post(body: string): BorumRequest;
    put(body: string): BorumRequest;
    delete(body: string): BorumRequest;
    makeRequest(abortController?: AbortController): Promise<Response>;
}
